org.vishia.commander

## Class FcmdWidgetNames

- java.lang.Object
- - org.vishia.commander.FcmdWidgetNames

-     public class FcmdWidgetNames
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `labelWidgFile`
    `static java.lang.String` | `panelFavoritesLeftMidRight` Name of the panel inside the main left, mid, right panel which contains a tabbed panel for the tabs for selection.
    `static java.lang.String` | `panelLeftMidRigth` Name of the main tabbed panel for left,mid and right.
    `static java.lang.String` | `tabFavorites` Name of the tab inside panelFavoritesLeftMidRight for the main selection.
    `static java.lang.String` | `tabFavoritesLeftMidRight` Name of the tab inside the tabbed main panel for left, mid, right which contains a tabbed panel for the tabs for selection.
    `static java.lang.String` | `tabFile` Name of the tab panel which contains a file table.
    `static java.lang.String` | `tableFavorites` Name of the tab inside panelFavoritesLeftMidRight for the main selection.
    `static java.lang.String` | `tableFavoritesMain` Name of the tab inside panelFavoritesLeftMidRight for the main selection.
    `static java.lang.String` | `tableFile` Name of the Table-widget and the key in `Fcmd.idxFileSelector` for a file table.
    `static java.lang.String` | `tabMainFavorites` Name of the tab inside panelFavoritesLeftMidRight for the main selection.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdWidgetNames()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tableFile

          public static final java.lang.String tableFile

      Name of the Table-widget and the key in `Fcmd.idxFileSelector` for a file table. The name is following by the visible name of the tab.
      See Also:
        Constant Field Values

    - #### labelWidgFile

          public static final java.lang.String labelWidgFile

      See Also:
        Constant Field Values

    - #### tabFile

          public static final java.lang.String tabFile

      Name of the tab panel which contains a file table. The name is following by the visible name of the tab.
      See Also:
        Constant Field Values

    - #### panelLeftMidRigth

          public static final java.lang.String panelLeftMidRigth

      Name of the main tabbed panel for left,mid and right.
      See Also:
        Constant Field Values

    - #### tabFavoritesLeftMidRight

          public static final java.lang.String tabFavoritesLeftMidRight

      Name of the tab inside the tabbed main panel for left, mid, right which contains a tabbed panel for the tabs for selection.
      See Also:
        Constant Field Values

    - #### panelFavoritesLeftMidRight

          public static final java.lang.String panelFavoritesLeftMidRight

      Name of the panel inside the main left, mid, right panel which contains a tabbed panel for the tabs for selection.
      See Also:
        Constant Field Values

    - #### tabMainFavorites

          public static final java.lang.String tabMainFavorites

      Name of the tab inside panelFavoritesLeftMidRight for the main selection.
      See Also:
        Constant Field Values

    - #### tabFavorites

          public static final java.lang.String tabFavorites

      Name of the tab inside panelFavoritesLeftMidRight for the main selection.
      See Also:
        Constant Field Values

    - #### tableFavorites

          public static final java.lang.String tableFavorites

      Name of the tab inside panelFavoritesLeftMidRight for the main selection.
      See Also:
        Constant Field Values

    - #### tableFavoritesMain

          public static final java.lang.String tableFavoritesMain

      Name of the tab inside panelFavoritesLeftMidRight for the main selection.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FcmdWidgetNames

          public FcmdWidgetNames()